#!/bin/bash
#
# Author: Severin Kaderli <severin.kaderli@gmail.com>
# Usage: ./install.sh
FILES=(
    ".gitconfig"
    ".vimrc"
    ".bash_logout"
    ".bash_profile"
    ".bashrc"
    ".aliases"
    ".xinitrc"
    ".Xresources"
    ".config/i3"
    ".config/termite"
    ".config/polybar"
    ".config/dunst"
    ".config/compton.conf"
    ".dircolors"
    ".hyper.js"
    "bin"
    ".crontab"
)

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

# Install base-devel for building aur packages
echo -e "- Installing packages"
sudo pacman -S git base-devel --noconfirm

# Install aurman
git clone https://aur.archlinux.org/aurman.git
cd aurman
makepkg -si --noconfirm --skippgpcheck
cd ..
rm -rf aurman

# Install packages - "yaourt -Qqe > packages.list"
#yaourt -S --noconfirm $(cat "$DIR/yaourt/packages.list")
# Install aur packages - "yaourt -Qqm > packages.aur.list"
#yaourt -S --noconfirm $(cat "$DIR/yaourt/packages.aur.list")

# Create symlinks to dotfiles
echo -e "- Creating symlinks"
for file in "${FILES[@]}"
do
   rm -rf "$HOME/$file"
   ln -fs "$DIR/$file" "$HOME/$file"
done

# Give scripts execute permissions
echo -e "- Give permissions"
chmod -R +x "$HOME/bin"